Error on Ubuntu

This is the area for a general support questions, discussions and information that you can read and share. Post your experiences, stats and tricks and tips that are not covered elsewhere. Remember, for questions please search the FAQ first, as your question may already be answered.

Moderators: wizard, magicspam

Post Reply
bizmarquee
Posts: 1
Joined: Fri Jan 26, 2024 1:57 pm

Error on Ubuntu

Post by bizmarquee » Fri Jan 26, 2024 1:59 pm

I would post a support ticket, but I can't get to my license #. When I click MagicSpam to get to the console, I get the error below.

My system is

Ubuntu 20.04.6 LTS
Plesk Obsidian
Version 18.0.58 Update #2, last updated on Jan 25, 2024 09:19 AM

Error below:
--------------------------
Server Error
500 Error
Failed opening required '/opt/psa/admin/plib/modules/pm.php' (include_path='/opt/psa/admin/plib/vendor/plesk/zf1/library:/opt/psa/admin/plib')

Type Error
Message Failed opening required '/opt/psa/admin/plib/modules/pm.php' (include_path='/opt/psa/admin/plib/vendor/plesk/zf1/library:/opt/psa/admin/plib')
File index.php
Line 31
--------------------------

Any help?

magicspam
Posts: 1553
Joined: Tue Oct 28, 2008 2:27 pm

Re: Error on Ubuntu

Post by magicspam » Wed Jan 31, 2024 5:17 pm

Hello Bizmarquee,

Sorry for the delay on seeing your post.

To work around this issue, you can try using the following command:

Code: Select all

/usr/local/psa/admin/sbin/modules/magicspampro/package-updater -o -a -m
This should attempt to upgrade your MagicSpam version to the latest stable - which also includes a patch to work around a compatibility issue with more recent versions of Plesk 18.0.57 and newer - which is what your reported issue sounds to be.

If this does not work, you will need to manually download the update
package from our site:

https://magicspam.com/download

You will need your license key to download - which can be found using the command:

Code: Select all

/usr/local/psa/admin/sbin/modules/magicspampro/license_manager data
Once downloaded, upload to your plesk server (scp, ftp, whatever
mechanisms you have set up for file transfer) and install the update
using command:

Code: Select all

plesk bin extension --upgrade /path/to/transferred/package/file
We hope these instructions help get you back and running!
-- MagicSpam Support Team --

Post Reply

Return to “General Discussions and Support Questions”

Who is online

Users browsing this forum: No registered users and 3 guests